#2842 closed enhancement (fixed)

Change C11 threads support to use Classic tasks instead of POSIX threads

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The C11 <threads.h> support should be available in all RTEMS configurations. Since the POSIX API is still optional the C11 threads implementation should be changed to use Classic tasks.

Change History (7)

comment:1 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:2 Changed on May 11, 2017 at 7:42:40 AM by Sebastian Huber

Milestone: 4.12.05.0

comment:3 Changed on Aug 14, 2017 at 12:13:17 AM by Chris Johns

Milestone: 5.0Indefinite
Version: 4.11

comment:4 Changed on Aug 12, 2020 at 9:11:51 PM by Joel Sherrill

Can this be closed? I think we have our implementation from FreeBSD and are happy with it.

comment:5 Changed on Aug 13, 2020 at 1:42:07 AM by Chris Johns

Is the configure option for POSIX going to be removed in the waf build system?

comment:6 in reply to:  5 Changed on Aug 13, 2020 at 4:46:37 AM by Sebastian Huber

Replying to Chris Johns:

Is the configure option for POSIX going to be removed in the waf build system?

No, this CPU option exists also in the new build system.

comment:7 Changed on Aug 13, 2020 at 4:48:22 AM by Sebastian Huber

Milestone: Indefinite5.1
Resolution: fixed
Status: newclosed
Version: 4.11

The POSIX thread support is always enabled in RTEMS 5.1. There is no need to change the implementation of C11 threads.

Note: See TracTickets for help on using tickets.